[Xmonad] Re: Failed at compiling XmonadContrib with xmonad 0.2

Xavier Maillard maillaxa at gmail.com
Sat Jun 30 07:42:56 EDT 2007

Hi Don,

Donald Bruce Stewart <dons at ...> writes:

> > I am not a Haskell developper at all (my toy is lisp and only lisp)
> > so I can't
> > fix that by myself. Do you have a clue for me ?
> Ah , this is a good point you raise.  The contrib repository will only
> work with the darcs version of xmonad. You'll need to install the darcs
> version of X11-extras and xmonad, to use it.

It fails to compile X11-extras from darcs :)

+ runhaskell Setup.lhs build
Preprocessing library X11-extras-0.2...

Xinerama.hsc:11:31:  X11_extras_config.h: No such file or directory
compiling Graphics/X11/Xinerama_hsc_make.c failed
command was: ghc -c -Iinclude Graphics/X11/Xinerama_hsc_make.c -o
Setup.lhs: got error code while preprocessing: Graphics.X11.Xinerama



More information about the Xmonad mailing list